Subject: Re: [RFC PATCH] memory-hotplug: Use dev_online for memhp_auto_offline

From: Vitaly Kuznetsov <[email-masked]>
Date: Fri, 24 Feb 2017 18:06:28 +0100

Michal Hocko <[email-masked]> writes:

> On Fri 24-02-17 17:40:25, Vitaly Kuznetsov wrote:
>> Michal Hocko <[email-masked]> writes:
>> 
>> > On Fri 24-02-17 17:09:13, Vitaly Kuznetsov wrote:
> [...]
>> >> While this will most probably work for me I still disagree with the
>> >> concept of 'one size fits all' here and the default 'false' for ACPI,
>> >> we're taking away the feature from KVM/Vmware folks so they'll again
>> >> come up with the udev rule which has known issues.
>> >
>> > Well, AFAIU acpi_memory_device_add is a standard way how to announce
>> > physical memory added to the system. Where does the KVM/VMware depend on
>> > this to do memory ballooning?
>> 
>> As far as I understand memory hotplug in KVM/VMware is pure ACPI memory
>> hotplug, there is no specific code for it.
>
> VMware has its ballooning driver AFAIK and I have no idea what KVM
> uses.

They both have ballooning drivers but ballooning is a different
thing. BTW, both Xen and Hyper-V have ballooning too but it is a
different thing, we're not discussing it here.

> Anyway, acpi_memory_device_add is no different from doing a physical
> memory hotplug IIUC so there shouldn't be any difference to how it is
> handled.

With the patch you suggest we'll have different memory hotplug defaults
for different virtualization technologies. If you suggest to have
unconditional default online it should probably be the save for all
hypervisors we support (IMO).

-- 
  Vitaly